<?

class Ui_scroll {
	static $pos_px_factor = 0.12;

	// $pos - в пикселях
	// работает криво, только вниз.
	static function go($obj_name, $pos) {
		GLOBAL $log;

		$max = $pos * self::$pos_px_factor;

		//$log->line("прокрутить на max: $max, pos: $pos");
		//print $max;

		if(!$obj = get_ui('Fm->'.$obj_name))
			throw new Error_def("Не найден объект с именем '$obj_name'");

		if($max > 0) $direction = 1;
		else {
			$max = $max * -1 + 2; // лучше чуть-чуть перекрутить вверх
			$direction = 0;
		}

		if($pos == 0) {
			// прокрутка на самый верх
			for($i=1; $i<=300; $i++ ) {
				$obj->perform(277, 0, 0); 
			}
		}
		else {
			for($i=1; $i<=$max; $i++ ) {
				//$log->line($obj_name . " $i");
				$obj->perform(277, $direction, 0); 
			}
		}
	}
}

?>